MD5(1)

NAME
md5, sha1, sha256, sha512 - calculate a message digest (checksum) for a file

SYNOPSIS
md5 [-bcpqrtx] [-C checklist] [-h hashfile] [-s string] [file ...]
sha1 [-bcpqrtx] [-C checklist] [-h hashfile] [-s string] [file ...]
sha256 [-bcpqrtx] [-C checklist] [-h hashfile] [-s string] [file ...]
sha512 [-bcpqrtx] [-C checklist] [-h hashfile] [-s string] [file ...]

DESCRIPTION
These utilities take as input a message of arbitrary length and produce as output a message digest (checksum) of the input.

Two messages having the same message digest (a collision) have been produced for MD5 and for SHA-1, so their use is deprecated.

The options for use with each command are as follows:

-b  Output checksums in base64 notation, not hexadecimal.

-C checklist
    Compare the checksum of each file against the checksums in the checklist. Any specified file that is not listed in the checklist will generate an error.

-c  If this option is specified, the file options become checklists. Each checklist should contain hash results in the normal format, which will be verified against the specified paths. Output consists of the digest used, the file name, and an OK, FAILED, or MISSING for the result of the comparison. This will validate any of the supported checksums (see cksum(1)). If no file is given, stdin is used.

-h hashfile
    Place the checksum into hashfile instead of stdout.

-p  Echo stdin to stdout and append the checksum to stdout.

-q  Only print the checksum (quiet mode) or if used in conjunction with the -c flag, only print the failed cases.

-r  Reverse the format of the hash algorithm output, making it match the output format used by cksum(1).

-s string
    Print a checksum of the given string.

-t  Run a built-in time trial. Specifying -t multiple times results in the number of rounds being multiplied by 10 for each additional flag.

-x  Run a built-in test script.

EXIT STATUS
These utilities exit 0 on success, and 0 if an error occurs.

SEE ALSO
cksum(1)

STANDARDS
R. Rivest, April 1992, RFC 1321, The MD5 Message-Digest Algorithm. J. Burrows, FIPS PUB 180-1, The Secure Hash Standard.

D. Eastlake, P. Jones, September 2001, RFC 3174, US Secure Hash Algorithm 1 (SHA1). Secure Hash Standard, FIPS PUB 180-2.